<?php
// pages/components/topic_modal.php

use Components\Resources\Controllers\CrudController;
use Components\Models\Topic;

ob_start();

echo CrudController::handle([
    'modelClass'   => Topic::class,
    'selfRoute'    => 'topic_modal',
    'event_prefix' => 'topic',
]);

$__html = ob_get_clean();
echo $__html;
